Index: /extensions/GrumPluginClasses/js/ui.iconSelector.js
===================================================================
--- /extensions/GrumPluginClasses/js/ui.iconSelector.js	(revision 7174)
+++ /extensions/GrumPluginClasses/js/ui.iconSelector.js	(revision 7175)
@@ -128,9 +128,5 @@
               if(opt) $.extend(options, opt);
 
-              if(!data)
-              {
-                $this.data('options', options);
-                options.initialized=false;
-              }
+              $this.data('options', options);
 
               if(!properties)
@@ -239,9 +235,7 @@
           {
             // set images list values
-            this.each(function()
-              {
-                var $this=$(this);
-                privateMethods.setImages($this, list);
-                return($this);
+            return this.each(function()
+              {
+                privateMethods.setImages($(this), list);
               }
             );
@@ -250,9 +244,9 @@
           {
             // return images list values
-            var data = this.data('options');
-
-            if(data)
-            {
-              return(data.images);
+            var options = this.data('options');
+
+            if(options)
+            {
+              return(options.images);
             }
             else
@@ -267,9 +261,7 @@
           {
             // set numCols values
-            this.each(function()
-              {
-                var $this=$(this);
-                privateMethods.setCols($this, value);
-                return($this);
+            return this.each(function()
+              {
+                privateMethods.setCols($(this), value);
               }
             );
@@ -278,9 +270,9 @@
           {
             // return images list values
-            var data = this.data('options');
-
-            if(data)
-            {
-              return(data.numCols);
+            var options = this.data('options');
+
+            if(options)
+            {
+              return(options.numCols);
             }
             else
@@ -295,9 +287,7 @@
           {
             // set numRows values
-            this.each(function()
-              {
-                var $this=$(this);
-                privateMethods.setRows($this, value);
-                return($this);
+            return this.each(function()
+              {
+                privateMethods.setRows($(this), value);
               }
             );
@@ -306,9 +296,9 @@
           {
             // return images list values
-            var data = this.data('options');
-
-            if(data)
-            {
-              return(data.numRows);
+            var options = this.data('options');
+
+            if(options)
+            {
+              return(options.numRows);
             }
             else
@@ -323,9 +313,7 @@
           {
             // set cell width values
-            this.each(function()
-              {
-                var $this=$(this);
-                privateMethods.setCellWidth($this, value);
-                return($this);
+            return this.each(function()
+              {
+                privateMethods.setCellWidth($(this), value);
               }
             );
@@ -334,9 +322,9 @@
           {
             // return images list values
-            var data = this.data('options');
-
-            if(data)
-            {
-              return(data.cellWidth);
+            var options = this.data('options');
+
+            if(options)
+            {
+              return(options.cellWidth);
             }
             else
@@ -351,9 +339,7 @@
           {
             // set cell width values
-            this.each(function()
-              {
-                var $this=$(this);
-                privateMethods.setCellHeight($this, value);
-                return($this);
+            return this.each(function()
+              {
+                privateMethods.setCellHeight($(this), value);
               }
             );
@@ -362,9 +348,9 @@
           {
             // return images list values
-            var data = this.data('options');
-
-            if(data)
-            {
-              return(data.cellHeight);
+            var options = this.data('options');
+
+            if(options)
+            {
+              return(options.cellHeight);
             }
             else
@@ -379,9 +365,7 @@
           {
             // set selected value
-            this.each(function()
-              {
-                var $this=$(this);
-                privateMethods.setValue($this, value);
-                return($this);
+            return this.each(function()
+              {
+                privateMethods.setValue($(this), value);
               }
             );
@@ -390,10 +374,10 @@
           {
             // return the selected value
-            var data=this.data('options'),
+            var options=this.data('options'),
                 properties=this.data('properties');
 
-            if(data && properties && properties.index>-1)
-            {
-              return(data.images[properties.index]);
+            if(options && properties && properties.index>-1 && properties.index<options.images.length)
+            {
+              return(options.images[properties.index]);
             }
             else
@@ -408,9 +392,7 @@
           {
             // set selected value
-            this.each(function()
-              {
-                var $this=$(this);
-                privateMethods.setEventPopup($this, value);
-                return($this);
+            return this.each(function()
+              {
+                privateMethods.setEventPopup($(this), value);
               }
             );
@@ -419,9 +401,9 @@
           {
             // return the selected value
-            var data=this.data('options');
-
-            if(data)
-            {
-              return(data.popup);
+            var options=this.data('options');
+
+            if(options)
+            {
+              return(options.popup);
             }
             else
@@ -436,9 +418,7 @@
           {
             // set selected value
-            this.each(function()
-              {
-                var $this=$(this);
-                privateMethods.setEventChange($this, value);
-                return($this);
+            return this.each(function()
+              {
+                privateMethods.setEventChange($(this), value);
               }
             );
@@ -447,9 +427,9 @@
           {
             // return the selected value
-            var data=this.data('options');
-
-            if(data)
-            {
-              return(data.change);
+            var options=this.data('options');
+
+            if(options)
+            {
+              return(options.change);
             }
             else
@@ -458,7 +438,7 @@
             }
           }
-        }, // popup
-
-    } // methods
+        } // popup
+
+    }; // methods
 
 
@@ -470,9 +450,9 @@
       updateListArea : function (object)
         {
-          var data=object.data('options'),
+          var options=object.data('options'),
               objects=object.data('objects'),
               icon=objects.list.children().first(),
-              width=icon.outerWidth()*data.numCols,
-              height=icon.outerHeight()*data.numRows;
+              width=icon.outerWidth()*options.numCols,
+              height=icon.outerHeight()*options.numRows;
 
           objects.listContainer.css(
@@ -492,12 +472,12 @@
       setImages : function (object, value)
         {
-          var data=object.data('options'),
+          var options=object.data('options'),
               objects=object.data('objects'),
               properties=object.data('properties');
-          data.images=value;
+          options.images=value;
 
           objects.list.children().unbind();
           objects.list.html('');
-          for(var i=0;i<data.images.length;i++)
+          for(var i=0;i<options.images.length;i++)
           {
             liClass=' ui-icon-selector-icon ';
@@ -507,5 +487,5 @@
             }
             objects.list.append(
-              $('<li indexValue="'+i+'" class="'+liClass+'" style="display:inline-block;width:'+data.cellWidth+'px;height:'+data.cellHeight+'px;background-image:url('+data.images[i]+');"></li>')
+              $('<li indexValue="'+i+'" class="'+liClass+'" style="display:inline-block;width:'+options.cellWidth+'px;height:'+options.cellHeight+'px;background-image:url('+options.images[i]+');"></li>')
                 .bind('click',
                   {object:object},
@@ -519,53 +499,53 @@
           }
 
-          return(data.images);
+          return(options.images);
         },
       setNumCols : function (object, value)
         {
-          var data=object.data('options'),
+          var options=object.data('options'),
               properties=object.data('properties');
-          if((!properties.initialized || data.numCols!=value) && value>0)
-          {
-            data.numCols=value;
-          }
-          return(data.numCols);
+          if((!properties.initialized || options.numCols!=value) && value>0)
+          {
+            options.numCols=value;
+          }
+          return(options.numCols);
         },
       setNumRows : function (object, value)
         {
-          var data=object.data('options'),
+          var options=object.data('options'),
               properties=object.data('properties');
-          if((!properties.initialized || data.numRows!=value) && value>0)
-          {
-            data.numRows=value;
-          }
-          return(data.numRows);
+          if((!properties.initialized || options.numRows!=value) && value>0)
+          {
+            options.numRows=value;
+          }
+          return(options.numRows);
         },
       setCellWidth : function (object, value)
         {
-          var data=object.data('options'),
+          var options=object.data('options'),
               properties=object.data('properties'),
               objects=object.data('objects');
-          if((!properties.initialized || data.cellWidth!=value) && value>=0)
-          {
-            data.cellWidth=value;
+          if((!properties.initialized || options.cellWidth!=value) && value>=0)
+          {
+            options.cellWidth=value;
             objects.container.css('width', value+'px');
           }
-          return(data.cellWidth);
+          return(options.cellWidth);
         },
       setCellHeight : function (object, value)
         {
-          var data=object.data('options'),
+          var options=object.data('options'),
               properties=object.data('properties'),
               objects=object.data('objects');
-          if((!properties.initialized || data.cellHeight!=value) && value>=0)
-          {
-            data.cellHeight=value;
+          if((!properties.initialized || options.cellHeight!=value) && value>=0)
+          {
+            options.cellHeight=value;
             objects.container.css('height', value+'px');
           }
-          return(data.cellHeight);
+          return(options.cellHeight);
         },
       setValue : function (object, value)
         {
-          var data=object.data('options'),
+          var options=object.data('options'),
               properties=object.data('properties'),
               index=-1;
@@ -574,11 +554,11 @@
           {
             case ':first':
-              if(data.images.length>0) index=0;
+              if(options.images.length>0) index=0;
               break;
             case ':last':
-              index=data.images.length-1;
+              index=options.images.length-1;
               break;
             default:
-              index=$.inArray(value, data.images);
+              index=$.inArray(value, options.images);
               break;
           }
@@ -588,24 +568,24 @@
             privateMethods.setValueByIndex(object, index, false);
           }
-          return(data.images[properties.index]);
+          return(options.images[properties.index]);
         },
       setValueByIndex : function (object, value, trigger)
         {
-          var data=object.data('options'),
+          var options=object.data('options'),
               properties=object.data('properties'),
               objects=object.data('objects');
-          if((!properties.initialized || properties.index!=value) && value>-1 && value<data.images.length)
+          if((!properties.initialized || properties.index!=value) && value>-1 && value<options.images.length)
           {
             objects.list.children('.ui-icon-selector-selected-icon').removeClass('ui-icon-selector-selected-icon');
             objects.list.children('[indexValue="'+value+'"]').addClass('ui-icon-selector-selected-icon');
             properties.index=value;
-            objects.container.css('background-image', 'url('+data.images[properties.index]+')');
-            if(trigger && data.change) object.trigger('iconSelectorChange', [properties.index]);
-          }
-          return(data.images[properties.index]);
+            objects.container.css('background-image', 'url('+options.images[properties.index]+')');
+            if(trigger && options.change) object.trigger('iconSelectorChange', [properties.index]);
+          }
+          return(options.images[properties.index]);
         },
       displaySelector : function (object, value)
         {
-          var data=object.data('options'),
+          var options=object.data('options'),
               properties=object.data('properties'),
               objects=object.data('objects');
@@ -625,5 +605,5 @@
               objects.listContainer.css('display', 'none');
             }
-            if(data.popup) object.trigger('iconSelectorPopup', [properties.selectorVisible]);
+            if(options.popup) object.trigger('iconSelectorPopup', [properties.selectorVisible]);
           }
           return(properties.selectorVisible);
@@ -631,19 +611,19 @@
       setEventPopup : function (object, value)
         {
-          var data=object.data('options');
-          data.popup=value;
+          var options=object.data('options');
+          options.popup=value;
           object.unbind('iconSelectorPopup');
-          if(value) object.bind('iconSelectorPopup', data.popup);
-          return(data.popup);
+          if(value) object.bind('iconSelectorPopup', options.popup);
+          return(options.popup);
         },
       setEventChange : function (object, value)
         {
-          var data=object.data('options');
-          data.change=value;
+          var options=object.data('options');
+          options.change=value;
           object.unbind('iconSelectorChange');
-          if(value) object.bind('iconSelectorChange', data.change);
-          return(data.change);
+          if(value) object.bind('iconSelectorChange', options.change);
+          return(options.change);
         }
-    }
+    };
 
 
Index: /extensions/GrumPluginClasses/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/GrumPluginClasses/language/fr_FR/plugin.lang.php	(revision 7174)
+++ /extensions/GrumPluginClasses/language/fr_FR/plugin.lang.php	(revision 7175)
@@ -10,3 +10,9 @@
 $lang['Infos'] = 'Informations';
 $lang['Some plugins are dependent on Grum Plugin Classes: before uninstall, you must first uninstall the plugins dependent'] = 'Certains plugins sont dépendants de Grum Plugin Classes : avant le désinstaller, il faut au préalable désinstaller les plugins dépendants';
+
+// gpc > 3.3.0
+$lang['Public'] = 'Publique';
+$lang['Private'] = 'Privée';
+$lang['All the gallery'] = 'Toute la galerie';
+
 ?>
Index: /extensions/GrumPluginClasses/main.inc.php
===================================================================
--- /extensions/GrumPluginClasses/main.inc.php	(revision 7174)
+++ /extensions/GrumPluginClasses/main.inc.php	(revision 7175)
@@ -1,10 +1,10 @@
 <?php
 /*
-Plugin Name: Grum Plugins Classes.3
-Version: 3.2.1
-Description: Collection de classes partagées entre mes plugins (existants, ou à venir) / Partaged classes between my plugins (actuals or futures)
-Plugin URI: http://piwigo.org/ext/extension_view.php?eid=199
+Plugin Name: GMaps
+Version: 0.2.0
+Description: Display and manage (google) maps
+Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=
 Author: grum@piwigo.org
-Author URI: http://photos.grum.fr/
+Author URI: http://photos.grum.fr
 */
 
@@ -12,6 +12,7 @@
 --------------------------------------------------------------------------------
   Author     : Grum
-    email    : grum@piwigo.org
+    email    : grum@piwigo.com
     website  : http://photos.grum.fr
+    PWG user : http://forum.phpwebgallery.net/profile.php?id=3706
 
     << May the Little SpaceFrog be with you ! >>
@@ -21,51 +22,14 @@
 
 | release | date       |
-| 2.0.0   | 2008/07/20 | * convert classes for piwigo 2.0
+| 0.1.0   | 2010-08-22 | * first lines of code
+|         |            |   . release not published
 |         |            |
-| 2.0.1   | 2008/12/28 | * convert classe tables.class.inc to php5
+| 0.2.0   | 2010-09-30 | * first official release
 |         |            |
-| 2.0.2   | 2009/04/26 | * add setOptions/getOptions for GPCPagesNavigation class
-|         |            | * add option to set first/prev/next/last textes
 |         |            |
-| 2.0.3   | 2009/07/24 | * modify common_plugin class config loader (r2.0.1)
 |         |            |
-| 2.0.4   | 2009/11/29 | * modify users class
 |         |            |
-| 3.0.0   | 2010/03/28 | * Uses piwigo pwg_db_* functions instead of mysql_* functions
-|         |            | * update classes & functions names
-|         |            | * include the JpegMetaData class
 |         |            |
-| 3.0.1   | 2010/04/11 | * little bug on the template (call of an undefined var)
-|         |            | * Add new languages
-|         |            |   . es_ES
-|         |            |   . hu_HU
-|         |            |   . it_IT
 |         |            |
-| 3.1.0   | 2010/04/24 | * add the GPCTabSheet class
-|         |            | * add the GPCRequestBuilder class
-|         |            | * add the pageNavigator.js
-|         |            | * update the GPCCore class
-|         |            | * Add new languages
-|         |            |   . nl_NL
-|         |            |   . de_DE
-|         |            |
-| 3.1.1   | 2010/05/18 | * fix bug in the install process (CommonPlugin not
-|         |            |   included)
-|         |            |
-| 3.2.0   | 2010/09/12 | * Enhance GPCTabSheet functionnalities
-|         |            |   - possibility to choose tab classes
-|         |            | * Add the simpleTip.js
-|         |            | * Enhance GPCRequestBuilder functionnalities
-|         |            |   - now abble to manage complex request with multi-record
-|         |            |   - result can be stored in the caddie
-|         |            |
-| 3.2.1   | 2010/10/09 | * Enhance GPCTabSheet functionnalities
-|         |            |   - add 'id' attribute for tabs (<li> items)
-|         |            |
-|         |            | * Fix JS & CSS bug with IE8
-|         |            |
-| 3.2.2   | 2010/mm/dd | *
-|         |            |
-|         |            | ===== Don't forget to update the plugin version ! =====
 |         |            |
 |         |            |
@@ -82,61 +46,48 @@
 :: TO DO
 
-:: WHAT ? WHY ?
-This plugin doesn't do anything itself. It just provide classes for others plugins.
+--------------------------------------------------------------------------------
 
-Classes version for this package
-    CommonPlugin.class.php
-    GPCAjax.class.php
-    GPCCss.class.php
-    GPCPagesNavigation.class.php
-    GPCPublicIntegration.class.php
-    GPCTables.class.php -v1.5
-    GPCTranslate.class.inc.php + google_translate.js
-    GPCUsersGroups.class.inc.php
-    GPCTabSheet.class.inc.php
+:: NFO
+  GMaps_root : common classe for admin and public classes
+  GMaps_AIM  : classe to manage plugin integration into plugin menu
+  GMaps_AIP  : classe to manage plugin admin pages
+  GMaps_PIP  : classe to manage plugin public pages
 
-    genericjs.class.inc.php  + genericjs.js
-
-See each file to know more about them
 --------------------------------------------------------------------------------
 */
 
+// pour faciliter le debug :o)
+ //ini_set('error_reporting', E_ALL);
+ //ini_set('display_errors', true);
+
 if(!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-define('GPC_DIR' , basename(dirname(__FILE__)));
-define('GPC_PATH' , PHPWG_PLUGINS_PATH . GPC_DIR . '/');
 
-include_once('gpc_version.inc.php'); // => Don't forget to update this file !!
-include_once(GPC_PATH.'classes/GPCCore.class.inc.php');
+define('GMAPS_DIR' , basename(dirname(__FILE__)));
+define('GMAPS_PATH' , PHPWG_PLUGINS_PATH . GMAPS_DIR . '/');
+
+include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/CommonPlugin.class.inc.php');
+include_once('gmaps_version.inc.php'); // => Don't forget to update this file !!
 
 global $prefixeTable;
 
-
-
-$config=Array();
-GPCCore::loadConfig('gpc', $config);
-
-if(!isset($config['installed'])) $config['installed']='03.01.00';
-if($config['installed']!=GPC_VERSION2)
+if(defined('IN_ADMIN'))
 {
-  /* the plugin was updated without being deactivated
-   * deactivate + activate the plugin to process the database upgrade
-   */
-  include(GPC_PATH."gpc_install.class.inc.php");
-  $gpc=new GPC_Install($prefixeTable, __FILE__);
-  $gpc->deactivate();
-  $gpc->activate();
+  //GMaps admin interface loaded and active only if in admin page
+  include_once("gmaps_aim.class.inc.php");
+  $obj=new GMaps_AIM($prefixeTable, __FILE__);
+  $obj->initEvents();
+}
+else
+{
+  if(CommonPlugin::checkGPCRelease(GMAPS_GPC_NEEDED))
+  {
+    //GMaps public interface loaded and active only if in public page
+    include_once("gmaps_pip.class.inc.php");
+    $obj=new GMaps_PIP($prefixeTable, __FILE__);
+  }
 }
 
-
-if(defined('IN_ADMIN'))
-{
-  //GPC admin interface is loaded and active only if in admin page
-  include_once("gpc_aim.class.inc.php");
-
-  $obj = new GPC_AIM($prefixeTable, __FILE__);
-  $obj->initEvents();
-  set_plugin_data($plugin['id'], $obj);
-}
+set_plugin_data($plugin['id'], $obj);
 
 ?>
